Endpoints

Get video status

Check the progress and result of a video task.

GET/v1/videos/{task_id}

Send your API key in the Authorization: Bearer YOUR_BEEFAPI_KEY header. Get an API key →

Request example

Use your key. Replace sample task IDs and image URLs.

curl -X GET "https://global.beefapi.com/v1/videos/video_example" \  -H "Authorization: Bearer YOUR_BEEFAPI_KEY"

Response examples

Illustrative values. Select a status code.

Task status; failed tasks include error.

{  "id": "video_example",  "object": "video",  "model": "grok-imagine-video-1.5",  "status": "completed",  "created_at": 1788825600}

Path parameters

ParameterDescription
task_idstringRequired
Response fields & status codes

Response fields

application/json

application/json

application/json

application/json

application/json

application/json